# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject2
# FileName:      read_ini.py
# Author:        YH
# Datetime:      2024/7/13 9:43
# Description:
# ---------------------------------------------------------------------------
import configparser
import os


class ReadCommonIni:
    def __init__(self):
        self.con = configparser.ConfigParser()
        self.config_dir = os.path.join(os.path.dirname(os.path.dirname(__file__)), "data_config")
        ini_path = os.path.join(self.config_dir, "common_config.ini")

        try:
            self.con.read(ini_path, encoding="utf-8")
        except FileNotFoundError:
            raise FileNotFoundError

    def get_host(self, key):
        try:
            return self.con.get("host", key)
        except Exception as e:
            print("读取ini文件错误，输入的key错误！")
            raise e

    def get_mysql_confdata(self, key):
        try:
            return self.con.get("mysql", key)
        except Exception as e:
            print("读取ini文件错误，输入的key错误！")
            raise e

    def get_log_dir(self, key):
        try:

            log = self.con.get("report", key)
        except Exception as e:
            print("读取ini文件错误，输入的key错误！")
            raise e
        else:
            return os.path.join(os.path.join(os.path.dirname(self.config_dir), "report"), log)


class ReadIni(ReadCommonIni):
    def __init__(self, name):
        super().__init__()
        self.config_dir = os.path.join(os.path.join(os.path.dirname(os.path.dirname(__file__)), "data_config"), name)
        ini_path = os.path.join(self.config_dir, "config.ini")
        try:
            self.con.read(ini_path, encoding="utf-8")
        except FileNotFoundError:
            raise FileNotFoundError

    def get_file_path(self, key):
        try:
            file_name = self.con.get("file", key)
        except Exception as e:
            print("读取ini文件错误，输入的key错误！")
            raise e
        else:
            return os.path.join(self.config_dir, file_name)

    def get_table_name(self, key):
        try:
            return self.con.get("table", key)
        except Exception as e:
            print("读取ini文件错误，输入的key错误！")
            raise e


if __name__ == '__main__':
    ini = ReadIni("aHuanYo")
    print(ini.get_file_path("case"))



