# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject2
# FileName:      request_method.py
# Author:        YH
# Datetime:      2024/7/13 14:16
# Description:
# ---------------------------------------------------------------------------
import requests

from MyAPIAutoTest_v1.common.read_excel import ReadExcel
from MyAPIAutoTest_v1.common.read_ini import ReadCommonIni


class RequestMethod:
    def __init__(self):
        self.host = ReadCommonIni().get_host("url")
        login_url = self.host + "/auth"
        login_data = {
                "username": "admin",
                "password": "QgoqM6xtCcbPBfM7Q8I3agW4A06uE7z/zODU7Wxzr/kr2Y1YKPbBO2M2yhiIBezk+QPoCAVR3BICLNGzS+U5nG4LD65d3QAwXvOeze/wz3+eWoASykJ51XYCawiL6hGOlMMlS0PHCDI+QCnSXIIx0orARMfmoyl9/nEvHaEUO+g="
            }

        self.se = requests.sessions.session()
        try:
            token = self.se.request(method="post", url=login_url, json=login_data).json().get("token")
        except Exception as e:
            print("登录请求失败！")
            raise e
        else:
            self.se.headers["Authorization"] = "Bearer " + token

    def request_all(self, req_method, req_url, req_type, case_data):
        req_url = self.host + req_url
        if req_type == "params" or req_type == "query":
            return self.se.request(method=req_method, url=req_url, params=case_data)
        elif req_type == "json" or req_type == "application/json":
            return self.se.request(method=req_method, url=req_url, json=case_data)
        elif req_type == "application/x-www-form-urlencoded" or req_type == "x-www-form-urlencoded" or req_type == "form":
            return self.se.request(method=req_method, url=req_url, data=case_data)
        elif req_type == "multipart/form-data" or req_type == "form-data":
            return self.se.request(method=req_method, url=req_url, files=case_data)
        elif req_type is None:
            return self.se.request(method=req_method, url=req_url)
        elif req_type == "query|json" or req_type == "json|query":
            return self.se.request(method=req_method, url=req_url, params=case_data.get("query"), json=case_data.get("body"))
        else:
            raise Exception("请求媒体类型不存在错误！")


if __name__ == '__main__':
    excel = ReadExcel()
    list1 = excel.get_case_data()
    req = RequestMethod()
    print(req.request_all(list1[9][0], list1[9][1], list1[9][2], list1[9][3]).json())


